Subject: Re: bug#8250: 23.3; set-backrgound-color sets incorrect color

From: Juanma Barranquero <[email-masked]>
Date: Thu, 17 Mar 2011 18:55:03 +0100

On Thu, Mar 17, 2011 at 14:46, David J. Biesack <[email-masked]> wrote:

> If I remove $HOME/rgb.txt and restart emacs, then M-x list-colors-display
> lists all the expected colors. I'm not sure why it fails with that file there,
> since it is the same as the Emacs version; it is readable, etc.
[...]
> Thanks for your assistance. I consider this issue resolved,
> but you may want to pursue why it would fail to properly
> load from ~/rgb.txt under Windows 7

It is unrelated to Windows 7, but it is indeed a bug.
x-load-color-file was converting its argument to an absolute pathname,
and then forgetting to use it, so it was unable to find "~/rgb.txt"
and defaulted to a built-in table of colors.

Should be fixed now on emacs-23 and will be merged into the trunk
soon, I suppose.

    Juanma